package com.sunxung.factoring.entity.customerinformation;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * --电子签个人信息表
 * </p>
 *
 * @author liutao
 * @since 2023-05-13
 */
@TableName("electronic_signature_personal")
public class ElectronicSignaturePersonal extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 证件类型
     */
    @TableField("card_type")
    private String cardType;

    @TableField(exist = false)
    private String cardTypeName;

    /**
     * 证件号码
     */
    @TableField("socialCreditCode")
    private String socialCreditCode;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 电子签客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 电子签客户编号
     */
    @TableField("open_id")
    private String openId;

    /**
     * 认证链接
     */
    @TableField("auth_url")
    private String authUrl;

    /**
     * 认证短链接
     */
    @TableField("short_auth_url")
    private String shortAuthUrl;

    /**
     * 认证短链接生成日期
     */
    @TableField("short_auth_url_creat")
    private Date shortAuthUrlCreat;

    /**
     * 电子签认证状态 0：未认证 1：已认证
     */
    @TableField("auth_status")
    private Integer authStatus;

    //身份证正面文件
    @TableField(exist = false)
    private FileStorage cardPhotoFile;

    //身份证反面文件
    @TableField(exist = false)
    private FileStorage cardRevPhotoFile;


    //删除文件id
    @TableField(exist = false)
    private List<Long> deleteIds;

    //上传文件id
    @TableField(exist = false)
    private List<Long> fileIds;

    public Date getShortAuthUrlCreat() {
        return shortAuthUrlCreat;
    }

    public void setShortAuthUrlCreat(Date shortAuthUrlCreat) {
        this.shortAuthUrlCreat = shortAuthUrlCreat;
    }

    public String getCardTypeName() {
        return cardTypeName;
    }

    public void setCardTypeName(String cardTypeName) {
        this.cardTypeName = cardTypeName;
    }

    public List<Long> getDeleteIds() {
        return deleteIds;
    }

    public void setDeleteIds(List<Long> deleteIds) {
        this.deleteIds = deleteIds;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public FileStorage getCardPhotoFile() {
        return cardPhotoFile;
    }

    public void setCardPhotoFile(FileStorage cardPhotoFile) {
        this.cardPhotoFile = cardPhotoFile;
    }

    public FileStorage getCardRevPhotoFile() {
        return cardRevPhotoFile;
    }

    public void setCardRevPhotoFile(FileStorage cardRevPhotoFile) {
        this.cardRevPhotoFile = cardRevPhotoFile;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }
    public String getShortAuthUrl() {
        return shortAuthUrl;
    }

    public void setShortAuthUrl(String shortAuthUrl) {
        this.shortAuthUrl = shortAuthUrl;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }
}
